/*
 * Copyright 2004-2008 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.compass.core.config.binding.scanner;

import java.io.IOException;
import java.io.InputStream;

/**
 * @author kimchy
 */
public class ScanItem {

    private InputStream is;

    private String name;

    public ScanItem(InputStream is, String name) {
        this.is = is;
        this.name = name;
    }

    public InputStream getInputStream() {
        return is;
    }

    public String getName() {
        return name;
    }

    public void close() {
        try {
            is.close();
        } catch (IOException e) {
            // ignore
        }
    }
}
