/*
 * Copyright 2004-2008 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.compass.core.engine;

import org.compass.core.CompassException;

/**
 * A general runtime exceptions that happens during search engine operations.
 * 
 * @author kimchy
 */
public class SearchEngineException extends CompassException {

    private static final long serialVersionUID = 3689347706690681139L;

    public SearchEngineException(String msg, Throwable root) {
        super(msg, root);
    }

    public SearchEngineException(String s) {
        super(s);
    }
}
