/*
 * Copyright 2004-2008 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.compass.core.impl;

import org.compass.core.CompassTermFreq;

/**
 * @author kimchy
 */
public class DefaultCompassTermFreq implements CompassTermFreq {

    private String propertyName;

    private String term;

    private float freq;

    public DefaultCompassTermFreq(String term, float freq, String propertyName) {
        this.term = term;
        this.freq = freq;
        this.propertyName = propertyName;
    }

    public String getTerm() {
        return this.term;
    }

    public float getFreq() {
        return this.freq;
    }

    public void setFreq(float freq) {
        this.freq = freq;
    }

    public String getPropertyName() {
        return propertyName;
    }
}
