/*
 * Copyright 2004-2008 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.compass.core.metadata.impl;

import java.util.HashMap;
import java.util.Iterator;

import org.compass.core.metadata.MetaData;

/**
 * @author kimchy
 */
public class DefaultMetaData extends AbstractMetaDataItem implements MetaData {

    private String format;

    private HashMap values = new HashMap();

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getValue(String id) {
        return (String) values.get(id);
    }

    public void setValue(String id, String value) {
        values.put(id, value);
    }

    public MetaData copy() {
        DefaultMetaData copyMetaData = new DefaultMetaData();
        copy(copyMetaData);
        copyMetaData.setFormat(getFormat());
        for (Iterator it = values.keySet().iterator(); it.hasNext();) {
            String id = (String) it.next();
            copyMetaData.setValue(id, (String) values.get(id));
        }
        return copyMetaData;
    }

}
